#encoding: utf-8

class ToolsController < ApplicationController
 

  def list_betriebe
    #@jahr = params[:jahr]
    #render :text => "Verboten" and return false if @jahr  ((2007..2009) === @jahr.to_i)
    @data = ActiveRecord::Base.connection.execute("select l.ktext as land, b.kennnr, i.* from html_index i
left join p_betrieb b on b.id = i.p_betrieb_id
left join l_bundeslaender l on l.id = b.land_id
--where i.jahr = '#{@jahr}'")
    render :layout => false
  end


  def view_betrieb
    betrieb_id = params[:betrieb_id]
    jahr = params[:jahr]
    unless betrieb_id
      id = (params[:id].to_i rescue 0).to_s
    
      #id ||= 3788.to_s
      res = ActiveRecord::Base.connection.execute("select jahr, p_betrieb_id from html_index where id = #{id}")
    
      raise ActionController::RoutingError.new('Not Found') if res.num_tuples==0 
      betrieb_id = res[0]['p_betrieb_id']
      jahr = res[0]['jahr']
    end
    sql = "select content from betriebe_html_#{jahr} b where p_betrieb_id=#{betrieb_id}"
    res = ActiveRecord::Base.connection.execute(sql)
#    puts res[0]
    @content=res[0]["content"] rescue "404 - Not found"
    version_res = ActiveRecord::Base.connection.query("select max(release) from releases")
    @version = version_res[0][0]
    render :layout => false
  end

  
end
